<template>
  <div class="overflow-auto">
    <b-table hover :items="data_table">
      <template #cell(forum)="data">
        <nuxt-link
          :to="{
            name: 'forum-slug',
            params: { slug: data.value.slug },
          }"
          > {{ data.value.name }}</nuxt-link>
      </template>
    </b-table>
    <b-pagination-nav :link-gen="linkGen" :number-of-pages="total_page"></b-pagination-nav>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  data() {
    return {
      fields: [
        'user_name',
        { key: 'forum', label: 'forum' },
        'mark_time'
      ]
    }
  },
 async mounted() {
    const pageNumber = this.$nuxt.context.query?.page
    const page = Number(pageNumber) || 1
    await this.$store.dispatch('forum/loading', page)
  },
  computed: {
    ...mapGetters({
      forums: 'forum/forums',
      count: 'forum/count',
      total_page: 'forum/total_page',
    }),
    data_table() {
      if (this.forums) {
        return this.forums
      }
      return []
    },
  },
  watch: {
    '$route.query.page': '$fetch',
  },
  methods: {
    linkGen(pageNum) {
      return pageNum === 1 ? '?' : `?page=${pageNum}`
    },

  },
}
</script>
